using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 员工基础设置表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Emp_Config
    {
        /// <summary>
        /// 配置编号
        /// </summary>        
        public int ConfigId
        {
            get;
            set;
        }
        /// <summary>
        /// 修改密码状态(0-不能修改,1-可以修改)
        /// </summary>        
        public int? IsUpdatePwd
        {
            get;
            set;
        }
        /// <summary>
        /// 员工页面LOGO
        /// </summary>        
        public string Logo
        {
            get;
            set;
        }
        /// <summary>
        /// 员工页面版权信息
        /// </summary>        
        public string Copyright
        {
            get;
            set;
        }
        /// <summary>
        /// 员工页面版权链接
        /// </summary>        
        public string CopyrightLink
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号Id
        /// </summary>        
        public int? TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序Id
        /// </summary>        
        public int? MallBaseId
        {
            get;
            set;
        }
    }
}
